libzypp: zypp::detail::FdStreamBufImpl Class Reference

libzypp 17.38.6

zypp::detail::FdStreamBufImpl Class Reference

`#include <zypp-core/base/filestreambuf.h>`

Inheritance diagram for zypp::detail::FdStreamBufImpl:

## Public Member Functions
| FdStreamBufImpl ()
| ~FdStreamBufImpl ()
void | disableAutoClose ()
bool | isOpen () const
bool | canRead () const
bool | canWrite () const
bool | canSeek (std::ios_base::seekdir way_r) const
std::streamsize | readData (char *buffer_r, std::streamsize maxcount_r)
bool | writeData (const char *buffer_r, std::streamsize count_r)
off_t | seekTo (off_t off_r, std::ios_base::seekdir way_r, std::ios_base::openmode omode_r)
off_t | tell () const

## Protected Member Functions
bool | openImpl (int fd, std::ios_base::openmode mode_r)
bool | closeImpl ()

## Private Attributes
zypp::AutoFD | _fd = -1
std::ios_base::openmode | _mode = std::ios_base::openmode(0)

## Detailed Description

Definition at line 18 of file filestreambuf.h.

## Constructor & Destructor Documentation

## ◆ FdStreamBufImpl()

zypp::detail::FdStreamBufImpl::FdStreamBufImpl | ( |  | ) |
| inline

Definition at line 20 of file filestreambuf.h.

## ◆ ~FdStreamBufImpl()

zypp::detail::FdStreamBufImpl::~FdStreamBufImpl | ( |  | ) |
| inline

Definition at line 21 of file filestreambuf.h.

## Member Function Documentation

## ◆ disableAutoClose()

void zypp::detail::FdStreamBufImpl::disableAutoClose | ( |  | ) |

Disables closing of the fd when FdStreamBufImpl is deleted or close() is called

Definition at line 15 of file filestreambuf.cc.

## ◆ isOpen()

bool zypp::detail::FdStreamBufImpl::isOpen | ( |  | ) | const
| inline

Definition at line 30 of file filestreambuf.h.

## ◆ canRead()

bool zypp::detail::FdStreamBufImpl::canRead | ( |  | ) | const
| inline

Definition at line 34 of file filestreambuf.h.

## ◆ canWrite()

bool zypp::detail::FdStreamBufImpl::canWrite | ( |  | ) | const
| inline

Definition at line 38 of file filestreambuf.h.

## ◆ canSeek()

bool zypp::detail::FdStreamBufImpl::canSeek | ( | std::ios_base::seekdir | way_r | ) | const
| inline

Definition at line 41 of file filestreambuf.h.

## ◆ readData()

std::streamsize zypp::detail::FdStreamBufImpl::readData | ( | char * | buffer_r,
|  | std::streamsize | maxcount_r )

Definition at line 20 of file filestreambuf.cc.

## ◆ writeData()

bool zypp::detail::FdStreamBufImpl::writeData | ( | const char * | buffer_r,
|  | std::streamsize | count_r )

Definition at line 32 of file filestreambuf.cc.

## ◆ seekTo()

off_t zypp::detail::FdStreamBufImpl::seekTo | ( | off_t | off_r,
|  | std::ios_base::seekdir | way_r,
|  | std::ios_base::openmode | omode_r )
| inline

Definition at line 51 of file filestreambuf.h.

## ◆ tell()

off_t zypp::detail::FdStreamBufImpl::tell | ( |  | ) | const
| inline

Definition at line 55 of file filestreambuf.h.

## ◆ openImpl()

bool zypp::detail::FdStreamBufImpl::openImpl | ( | int | fd,
|  | std::ios_base::openmode | mode_r )
| protected

Definition at line 48 of file filestreambuf.cc.

## ◆ closeImpl()

bool zypp::detail::FdStreamBufImpl::closeImpl | ( |  | ) |
| protected

Definition at line 55 of file filestreambuf.cc.

## Member Data Documentation

## ◆ _fd

zypp::AutoFD zypp::detail::FdStreamBufImpl::_fd = -1
| private

Definition at line 64 of file filestreambuf.h.

## ◆ _mode

std::ios_base::openmode zypp::detail::FdStreamBufImpl::_mode = std::ios_base::openmode(0)
| private

Definition at line 65 of file filestreambuf.h.

The documentation for this class was generated from the following files:

- zypp-core/base/filestreambuf.h
- zypp-core/base/filestreambuf.cc